﻿-- Addon: WowTranslator (version: 1.15) 2012.01.16
-- Description: AddOn displays translated description in GameTooltip frame.
-- Autor: Platine  (e-mail: platine.wow@gmail.com)

-- General Variables
local WT_version="1.15 "..WT_lang;
-- fonty z polskimi znakami diakrytycznymi (także innych narodów)
local WT_Font = "Interface\\AddOns\\WowTranslator\\Fonts\\ipagui.ttf";

local WT_colors = {
  ["c1"]={r=1,g=1,b=1,a=1.0},          -- white: Name
  ["c2"]={r=1,g=0.125,b=0.125,a=1.0},  -- red:   Requires
  ["c3"]={r=1,g=0.8235,b=0,a=1.0},     -- gold:  Description
  ["c4"]={r=0,g=1,b=0,a=1.0},          -- green: Click to learn
  ["c5"]={r=1,g=0.125,b=1,a=1.0},      -- purple:
  };


function WowTranslator_IsBody(line,ind)                              -- lewy tekst
  local WT_isbody=false;
  local WT_trans="";
  if (line=="Back") then WT_trans=WT_Body.Back;
    elseif (line=="Chest") then WT_trans=WT_Body.Chest;
    elseif (line=="Feet") then WT_trans=WT_Body.Feet;
    elseif (line=="Finger") then WT_trans=WT_Body.Finger;
    elseif (line=="Hands") then WT_trans=WT_Body.Hands;
    elseif (line=="Head") then WT_trans=WT_Body.Head;
    elseif (line=="Legs") then WT_trans=WT_Body.Legs;
    elseif (line=="Neck") then WT_trans=WT_Body.Neck;
    elseif (line=="Shirt") then WT_trans=WT_Body.Shirt;
    elseif (line=="Shoulder") then WT_trans=WT_Body.Shoulder;
    elseif (line=="Trinket") then WT_trans=WT_Body.Trinket;
    elseif (line=="Waist") then WT_trans=WT_Body.Waist;
    elseif (line=="Wrist") then WT_trans=WT_Body.Wrist;
    elseif (line=="One-Hand") then WT_trans=WT_Body.One_Hand;
    elseif (line=="Two-Hand") then WT_trans=WT_Body.Two_Hand;
    elseif (line=="Main Hand") then WT_trans=WT_Body.Main_Hand;
    elseif (line=="Off Hand") then WT_trans=WT_Body.Off_Hand;
    elseif (line=="Ranged") then WT_trans=WT_Body.Ranged;
    elseif (line=="Melee Range") then WT_trans=WT_Weapon.MeleeR;
    elseif (line=="Thrown") then WT_trans=WT_Body.Thrown;
    elseif (line=="Mount") then WT_trans=WT_Body.Mount;
    elseif (line=="Relic") then WT_trans=WT_Body.Relic;
    elseif (line=="Projectile") then WT_trans=WT_Body.Projectile;
  end	
  if (WT_trans~="") then
     WT_isbody=true;
  end
  if (WT_PM["mats"] and WT_isbody) then
    getglobal("GameTooltipTextLeft"..ind):SetFont(WT_Font, 12);      -- polskie fonty
    getglobal("GameTooltipTextLeft"..ind):SetText(WT_trans);         -- podmieniamy tekst
  end
  return WT_isbody;
end


function WowTranslator_IsInfoL(line,ind)                             -- lewy tekst
  local WT_isinfo=false;
  local WT_trans="";
  if (line=="Already known") then WT_trans=WT_InfoL.AlreadyKnown;
    elseif (string.sub(line,1,10)=="Binds when") then WT_trans=WT_InfoL.Binds;
    elseif (line=="Cannot be disenchanted") then WT_trans=WT_InfoL.CannotDisench;
    elseif (string.sub(line,1,8)=="Classes:") then WT_trans=WT_InfoL.Classes..string.sub(line,9);
    elseif (string.sub(line,1,6)=="Races:") then WT_trans=WT_InfoL.Races..string.sub(line,7);
    elseif (line=="Conjured Item") then WT_trans=WT_InfoL.ConjuredItem;
    elseif (string.sub(line,1,19)=="Cooldown remaining:") then WT_trans=WT_InfoL.CooldownRem..string.sub(line,20);
    elseif (string.sub(line,1,10)=="Durability") then WT_trans=WT_InfoL.Durability..string.sub(line,11);
    elseif (string.sub(line,1,9)=="Duration:") then WT_trans=WT_InfoL.Duration..string.sub(line,10);
    elseif (string.sub(line,1,10)=="Item Level") then WT_trans=WT_InfoL.ItemLevel..string.sub(line,11);
    elseif (string.sub(line,1,15)=="This Item Begin") then WT_trans=WT_InfoL.ItemBegQuest;
    elseif (line=="Locked") then WT_trans=WT_InfoL.Locked;
    elseif (line=="No sell price") then WT_trans=WT_InfoL.NoSellPrice;
    elseif (line=="Quest Item") then WT_trans=WT_InfoL.QuestItem;
    elseif (string.sub(line,1,9)=="Reagents:") then WT_trans=WT_InfoL.Reagents..string.sub(line,10);
    elseif (string.sub(line,1,8)=="Requires") then WT_trans=WT_InfoL.Requires..string.sub(line,9);
    elseif (string.sub(line,1,20)=="<Right Click to Read") then WT_trans=WT_InfoL.RClick;
    elseif (string.sub(line,1,20)=="<Right Click to Open") then WT_trans=WT_InfoL.OClick;
    elseif (string.sub(line,1,19)=="<Shift-Click to buy") then WT_trans=WT_InfoL.SClick;
    elseif (line=="Soulbound") then WT_trans=WT_InfoL.Soulbound;
    elseif (string.sub(line,1,6)=="Tools:") then WT_trans=WT_InfoL.Tools..string.sub(line,7);
    elseif (string.sub(line,1,6)=="Unique") then WT_trans=WT_InfoL.Unique;
    elseif (line=="Instant cast") then WT_trans=WT_InfoL.InstCast;
    elseif (line=="Instant") then WT_trans=WT_InfoL.Instant;
    elseif (line=="Channeled") then WT_trans=WT_InfoL.Channeled;
    elseif (string.len(line)<16 and string.sub(line,-5)=="range") then
       WT_trans=string.sub(line,1,string.len(line)-5)..WT_InfoL.Range;
  end	
  if (WT_trans~="") then
     WT_isinfo=true;
  end
  if (WT_PM["info"] and WT_isinfo) then
    getglobal("GameTooltipTextLeft"..ind):SetFont(WT_Font, 12);      -- polskie fonty
    getglobal("GameTooltipTextLeft"..ind):SetText(WT_trans);         -- podmieniamy tekst
  end
  return WT_isinfo;
end


function WowTranslator_IsWeapon(line,ind)                            -- prawy tekst
  local WT_isweapon=false;
  local WT_trans="";
  if (line=="Axe") then WT_trans=WT_Weapon.Axe;
    elseif (line=="Bow") then WT_trans=WT_Weapon.Bow;
    elseif (line=="Dagger") then WT_trans=WT_Weapon.Dagger;
    elseif (line=="Gun") then WT_trans=WT_Weapon.Gun;
    elseif (line=="Mace") then WT_trans=WT_Weapon.Mace;
    elseif (line=="Polearm") then WT_trans=WT_Weapon.Polearm;
    elseif (line=="Shield") then WT_trans=WT_Weapon.Shield;
    elseif (line=="Staff") then WT_trans=WT_Weapon.Staff;
    elseif (line=="Sword") then WT_trans=WT_Weapon.Sword;
    elseif (line=="Thrown") then WT_trans=WT_Weapon.Thrown;
    elseif (line=="Wand") then WT_trans=WT_Weapon.Wand;
    elseif (line=="First Weapon") then WT_trans=WT_Weapon.FirstW;
    elseif (line=="Fishing Pole") then WT_trans=WT_Weapon.FishPole;
    elseif (line=="Melee Range") then WT_trans=WT_Weapon.MeleeR;
    elseif (line=="Arrow") then WT_trans=WT_InfoL.Arrow;
    elseif (line=="Bullet") then WT_trans=WT_InfoL.Bullet;
  end	
  if (WT_trans~="") then
     WT_isweapon=true;
  end
  if (WT_PM["weapon"] and WT_isweapon) then
    getglobal("GameTooltipTextRight"..ind):SetFont(WT_Font, 12);      -- polskie fonty
    getglobal("GameTooltipTextRight"..ind):SetText(WT_trans);         -- podmieniamy tekst
  end
  return WT_isweapon;
end


function WowTranslator_IsMats(line,ind)                               -- prawy tekst
  local WT_ismats=false;
  local WT_trans="";
  if (line=="Cloth") then WT_trans=WT_Mats.Cloth;
    elseif (line=="Leather") then WT_trans=WT_Mats.Leather;
    elseif (line=="Mail") then WT_trans=WT_Mats.Mail;
    elseif (line=="Plate") then WT_trans=WT_Mats.Plate;
  end	
  if (WT_trans~="") then
     WT_ismats=true;
  end
  if (WT_PM["mats"] and WT_ismats) then
    getglobal("GameTooltipTextRight"..ind):SetFont(WT_Font, 12);      -- polskie fonty
    getglobal("GameTooltipTextRight"..ind):SetText(WT_trans);         -- podmieniamy tekst
  end
  return WT_ismats;
end


function WowTranslator_IsEnergy(line,ind)                             -- lewy tekst
  local WT_isener=false;
  local WT_trans="";
  if (string.sub(line,3,8)=="Energy") then WT_trans=string.sub(line,1,2)..WT_Energy.Energy;
    elseif (string.sub(line,4,9)=="Energy") then WT_trans=string.sub(line,1,3)..WT_Energy.Energy;
    elseif (string.sub(line,3,6)=="Rage") then WT_trans=string.sub(line,1,2)..WT_Energy.Rage;
    elseif (string.sub(line,4,7)=="Rage") then WT_trans=string.sub(line,1,3)..WT_Energy.Rage;
    elseif (string.sub(line,3,6)=="Mana") then WT_trans=string.sub(line,1,2)..WT_Energy.Mana;
    elseif (string.sub(line,4,7)=="Mana") then WT_trans=string.sub(line,1,3)..WT_Energy.Mana;
    elseif (string.sub(line,5,8)=="Mana") then WT_trans=string.sub(line,1,4)..WT_Energy.Mana;
    elseif (string.sub(line,6,9)=="Mana") then WT_trans=string.sub(line,1,5)..WT_Energy.Mana;
    elseif (string.sub(line,3,7)=="Focus") then WT_trans=string.sub(line,1,2)..WT_Energy.Focus;
    elseif (string.sub(line,4,8)=="Focus") then WT_trans=string.sub(line,1,3)..WT_Energy.Focus;
    elseif (string.sub(line,5,9)=="Focus") then WT_trans=string.sub(line,1,4)..WT_Energy.Focus;
  end	
  if (WT_trans~="") then
     WT_isener=true;
  end
  if (WT_PM["ener"] and WT_isener) then
    getglobal("GameTooltipTextLeft"..ind):SetFont(WT_Font, 12);      -- polskie fonty
    getglobal("GameTooltipTextLeft"..ind):SetText(WT_trans);         -- podmieniamy tekst
  end
  return WT_isener;
end


function WowTranslator_IsInfoR(line,ind)                             -- prawy tekst
  local WT_isinfo=false;
  local WT_trans="";
  if (line=="Channeled") then WT_trans=WT_InfoR.Channeled;
    elseif (line=="Instant cast") then WT_trans=WT_InfoR.InstCast;
    elseif (line=="Instant") then WT_trans=WT_InfoR.Instant;
    elseif (line=="Idol") then WT_trans=WT_InfoR.Idol;
    elseif (line=="Libram") then WT_trans=WT_InfoR.Libram;
    elseif (line=="Totem") then WT_trans=WT_InfoR.Totem;
    elseif (line=="Sigil") then WT_trans=WT_InfoR.Sigil;
    elseif ((string.len(line)<16) and (string.sub(line,-5)=="range")) then
       WT_trans=string.sub(line,1,string.len(line)-5)..WT_InfoR.Range;
  end	
  if (WT_trans~="") then
     WT_isinfo=true;
  end
  if (WT_PM["info"] and WT_isinfo) then
    getglobal("GameTooltipTextRight"..ind):SetFont(WT_Font, 12);     -- polskie fonty
    getglobal("GameTooltipTextRight"..ind):SetText(WT_trans);        -- podmieniamy tekst
  end
  return WT_isinfo;
end


function WowTranslator_ChangeText(txt,ind)
  local color="";
  if (string.sub(txt,3,3)=="#") then                               -- jest kod koloru w tłumaczeniu
     color=string.lower(string.sub(txt,1,2));                      -- odczytaj kod tego koloru
     txt=string.sub(txt,4);                                        -- pozostaw sam tekst, bez kodu koloru
  end
  local WT_pos=string.find(txt, "|");
  if (WT_pos) then                                     -- jest znak podziału linii na lewą i prawą część
     local color2=color;
     if (string.sub(txt,3,3)=="#") then                            -- jest kod koloru dla prawego tekstu
        color=string.lower(string.sub(txt,1,2));                   -- odczytaj kod tego koloru
        txt=string.sub(txt,4);                                     -- sam tekst, bez kodu koloru
     end
     local WT_pos=string.find(txt, "|");
     local WT_rightText=string.sub(txt,WT_pos+1);
     txt=string.sub(txt,1,WT_pos-1);
     getglobal("GameTooltipTextRight"..ind):SetFont(WT_Font, 12);  -- polskie fonty
     getglobal("GameTooltipTextRight"..ind):SetText(WT_rightText); -- podmieniamy tekst
     if (strlen(color)>0) then                                     -- trzeba zmienić kolor linii
        getglobal("GameTooltipTextRight"..ind):SetTextColor(WT_colors[color2].r,WT_colors[color2].g,WT_colors[color2].b,1);
     end
  end
  getglobal("GameTooltipTextLeft"..ind):SetFont(WT_Font, 12);      -- polskie fonty
  getglobal("GameTooltipTextLeft"..ind):SetText(txt);              -- podmieniamy tekst
  if (strlen(color)>0) then                                        -- trzeba zmienić kolor linii
     getglobal("GameTooltipTextLeft"..ind):SetTextColor(WT_colors[color].r,WT_colors[color].g,WT_colors[color].b,1);
  end                                                              -- podmieniamy kolor
end


function WowTranslator_CheckMoneyFrame()
  if (getglobal("GameTooltipMoneyFrame1PrefixText")) then                            -- czy występuje sekcja 1 "Sell Price"
     getglobal("GameTooltipMoneyFrame1PrefixText"):SetFont(WT_Font, 12);             -- polskie fonty
     if (GameTooltip:GetWidth()<160) then
        getglobal("GameTooltipMoneyFrame1PrefixText"):SetText(WT_InfoL.PriceShort);  -- podmień tekst
     else
        getglobal("GameTooltipMoneyFrame1PrefixText"):SetText(WT_InfoL.PriceLong);   -- podmień tekst
     end
  end
  if (getglobal("GameTooltipMoneyFrame2PrefixText")) then                            -- czy występuje sekcja 2 "Sell Price"
     getglobal("GameTooltipMoneyFrame2PrefixText"):SetFont(WT_Font, 12);             -- polskie fonty
     if (GameTooltip:GetWidth()<160) then
        getglobal("GameTooltipMoneyFrame2PrefixText"):SetText(WT_InfoL.PriceShort);  -- podmień tekst
     else
        getglobal("GameTooltipMoneyFrame2PrefixText"):SetText(WT_InfoL.PriceLong);   -- podmień tekst
     end
  end
end


function WowTranslator_ChangeSpell(ID)
  local WT_ln=0;                              -- licznik odczytanych linii tłumaczeń
  local WT_lines=WT_Spells[ID]["Lines"];      -- tyle jest linii z tłumaczeniem tego spella
  for i = 1, GameTooltip:NumLines(), 1 do
      local lineL=getglobal("GameTooltipTextLeft"..i):GetText();   -- odczyt lewej linii
      local lineR="";
      if (getglobal("GameTooltipTextRight"..i)) then
	     if (getglobal("GameTooltipTextRight"..i):GetText()) then
            lineR=getglobal("GameTooltipTextRight"..i):GetText();  -- odczyt prawej linii
         end
      end
      if (WowTranslator_IsInfoL(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      elseif (WowTranslator_IsBody(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      elseif (WowTranslator_IsEnergy(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      else
         WT_ln=WT_ln+1;
         if (WT_ln>WT_lines) then                             -- oryginalnie jest więcej linii
            if (lineL~=" ") then                              -- pozostawiamy je bez zmian
                if (WT_PM["compOR"]==true) then
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.original..i..":"..lineL);
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.translat..i..":"..WT_Messages.nothing);
                end
            end
         else
            local tekst=WT_Spells[ID]["Line"..WT_ln];         -- jest kolejna linia z tłumaczeniem
            if (tekst~="$notranslate") then                   -- nie ma w tej linii zakazu tłumaczenia
                local wartab={0,0,0,0,0,0,0,0,0};             -- max. 9 liczb
                local arg0=0;
                if (getglobal("GameTooltipTextRight"..i):GetText()) then
                   local lineR=getglobal("GameTooltipTextRight"..i):GetText();  -- odczyt prawej linii
                   lineL=lineL.."|"..lineR;
                end
                for w in string.gmatch(lineL, "%d+") do
                   arg0=arg0+1;
                   wartab[arg0]=w;
                end;
                if (arg0>0) then
                   tekst=string.gsub(tekst, "$1", wartab[1]);
                end
                if (arg0>1) then
                   tekst=string.gsub(tekst, "$2", wartab[2]);
                end
                if (arg0>2) then
                   tekst=string.gsub(tekst, "$3", wartab[3]);
                end
                if (arg0>3) then
                   tekst=string.gsub(tekst, "$4", wartab[4]);
                end
                if (arg0>4) then
                   tekst=string.gsub(tekst, "$5", wartab[5]);
                end
                if (arg0>5) then
                   tekst=string.gsub(tekst, "$6", wartab[6]);
                end
                if (arg0>6) then
                   tekst=string.gsub(tekst, "$7", wartab[7]);
                end
                if (arg0>7) then
                   tekst=string.gsub(tekst, "$8", wartab[8]);
                end
                if (arg0>8) then
                   tekst=string.gsub(tekst, "$9", wartab[9]);
                end
                WowTranslator_ChangeText(tekst,i);
                if (WT_PM["compOR"]==true) then
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.original..i..":"..lineL);
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.translat..i..":"..tekst);
                end
            end
        end
     end
  end
  if (WT_ln<WT_lines) then                                 -- oryginał miał mniej linii
     local nrLinii=GameTooltip:NumLines();
     for i = WT_ln+1, WT_lines, 1 do
        local tekst=WT_Spells[ID]["Line"..i];              -- kolejna linia z tłumaczeniem
        local kolor="c1";		                           -- kolor domyślny (biały)
        if (string.sub(tekst,3,3)=="#") then               -- jest kod koloru
           kolor=string.lower(string.sub(tekst,1,2));      -- odczytaj kod tego koloru
           tekst=string.sub(tekst,4);                      -- sam tekst, bez kodu koloru
        end
        nrLinii=nrLinii+1;
        local WT_pos=string.find(tekst, "|");
        if (WT_pos) then                                   -- jest znak podziału linii na lewą i prawą część
           local kolor2=kolor1;
           if (string.sub(tekst,3,3)=="#") then            -- jest drugi kolor dla prawego tekstu
              kolor2=string.lower(string.sub(tekst,1,2));  -- odczytaj kod tego koloru
              tekst=string.sub(tekst,4);                   -- sam tekst, bez kodu koloru
           end
           local WT_pos=string.find(tekst, "|");
           local WT_rightText=string.sub(tekst,WT_pos+1);
           local tekst=string.sub(tekst,1,WT_pos-1);
           GameTooltip:AddDoubleLine(tekst,WT_rightText,WT_colors[kolor].r,WT_colors[kolor].g,WT_colors[kolor].b,WT_colors[kolor2].r,WT_colors[kolor2].g,WT_colors[kolor2].b);
           getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 12);     -- polskie fonty lewa linia
           getglobal("GameTooltipTextRight"..nrLinii):SetFont(WT_Font, 12);    -- polskie fonty prawa linia
        else
           GameTooltip:AddLine(tekst,WT_colors[kolor].r,WT_colors[kolor].g,WT_colors[kolor].b,1);
           if (nrLinii==1) then                          -- linia nr 1: trzeba większą czcionką
              getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 16);  -- polskie fonty
           else
              getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 12);  -- polskie fonty
           end
        end
     end
  end
  WowTranslator_CheckMoneyFrame();
  GameTooltip:Show();                         -- odśwież wyświetloną ramkę
end


function WowTranslator_ChangeItem(ID)
  local WT_ln=0;                              -- licznik odczytanych linii tłumaczeń
  local WT_lines=WT_Items[ID]["Lines"];       -- tyle jest linii z tłumaczeniem tego Itemu
  for i = 1, GameTooltip:NumLines(), 1 do                         -- najpierw lecimy po liniach oryginału
      local lineL=getglobal("GameTooltipTextLeft"..i):GetText();  -- odczyt lewej linii
      local lineR="";
      if (getglobal("GameTooltipTextRight"..i)) then
	     if (getglobal("GameTooltipTextRight"..i):GetText()) then
            lineR=getglobal("GameTooltipTextRight"..i):GetText(); -- odczyt prawej linii
         end
      end
      if (WowTranslator_IsInfoL(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      elseif (WowTranslator_IsBody(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      elseif (WowTranslator_IsEnergy(lineL,i)==true) then
         if (lineR~="") then
            if (WowTranslator_IsWeapon(lineR,i)==false) then
               if (WowTranslator_IsMats(lineR,i)==false) then
                   WowTranslator_IsInfoR(lineR,i);
               end
            end
         end
      else
         WT_ln=WT_ln+1;                                       -- kolejna linia z tłumaczeniem
         if (WT_ln>WT_lines) then                             -- oryginalnie jest więcej linii
            if (lineL~=" ") then                              -- pozostawiamy je bez zmian
                if (WT_PM["compOR"]==true) then
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.original..i..":"..lineL);
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.translat..i..":"..WT_Messages.nothing);
                end
            end;
         else
            local tekst=WT_Items[ID]["Line"..WT_ln];          -- jest kolejna linia z tłumaczeniem
            if (tekst~="$notranslate") then                   -- nie ma w tej linii zakazu tłumaczenia
                local wartab={0,0,0,0,0,0,0,0,0};             -- max. 9 liczb
                local arg0=0;
                if (getglobal("GameTooltipTextRight"..i):GetText()) then
                   local lineR=getglobal("GameTooltipTextRight"..i):GetText();  -- odczyt prawej linii
                   lineL=lineL.."|"..lineR;
                end
                for w in string.gmatch(lineL, "%d+") do
                   arg0=arg0+1;
                   wartab[arg0]=w;
                end;
                if (arg0>0) then
                   tekst=string.gsub(tekst, "$1", wartab[1]);
		        end
                if (arg0>1) then
                   tekst=string.gsub(tekst, "$2", wartab[2]);
                end
                if (arg0>2) then
                   tekst=string.gsub(tekst, "$3", wartab[3]);
                end
                if (arg0>3) then
                   tekst=string.gsub(tekst, "$4", wartab[4]);
                end
                if (arg0>4) then
                   tekst=string.gsub(tekst, "$5", wartab[5]);
                end
                if (arg0>5) then
                   tekst=string.gsub(tekst, "$6", wartab[6]);
                end
                if (arg0>6) then
                   tekst=string.gsub(tekst, "$7", wartab[7]);
                end
                if (arg0>7) then
                   tekst=string.gsub(tekst, "$8", wartab[8]);
                end
                if (arg0>8) then
                   tekst=string.gsub(tekst, "$9", wartab[9]);
                end
                if (ID=="6948") then           -- Hearthstone
                   local WTR_enddot=string.find(lineL,"  ",21);
                   local WTR_currhome=string.sub(lineL,21,WTR_enddot-2);
                   tekst=string.gsub(tekst, "$homelocation", WTR_currhome);
                end
                WowTranslator_ChangeText(tekst,i);
                if (WT_PM["compOR"]==true) then
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.original..i..":"..lineL);
                    DEFAULT_CHAT_FRAME:AddMessage("|cffffff00"..WT_Messages.translat..i..":"..tekst);
                end
            end
         end
      end
  end
  if (WT_ln<WT_lines) then                                 -- oryginał miał mniej linii lub wyczyszczono linie
     local nrLinii=GameTooltip:NumLines();
     for i = WT_ln+1, WT_lines, 1 do
        local tekst=WT_Items[ID]["Line"..i];               -- kolejna linia z tłumaczeniem
        local kolor="c1";		                           -- kolor domyślny (biały)
        if (string.sub(tekst,3,3)=="#") then               -- jest kod koloru
           kolor=string.lower(string.sub(tekst,1,2));      -- odczytaj kod tego koloru
           tekst=string.sub(tekst,4);                      -- sam tekst, bez kodu koloru
        end
        nrLinii=nrLinii+1;
        local WT_pos=string.find(tekst, "|");  
        if (WT_pos) then                                   -- jest znak podziału linii na lewą i prawą część
           local kolor2=kolor1;
           if (string.sub(tekst,3,3)=="#") then            -- jest drugi kolor dla prawego tekstu
              kolor2=string.lower(string.sub(tekst,1,2));  -- odczytaj kod tego koloru
              tekst=string.sub(tekst,4);                   -- sam tekst, bez kodu koloru
           end
           local WT_pos=string.find(tekst, "|");
           local WT_rightText=string.sub(tekst,WT_pos+1);
           local tekst=string.sub(tekst,1,WT_pos-1);
           GameTooltip:AddDoubleLine(tekst,WT_rightText,WT_colors[kolor].r,WT_colors[kolor].g,WT_colors[kolor].b,WT_colors[kolor2].r,WT_colors[kolor2].g,WT_colors[kolor2].b);
           getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 12);     -- polskie fonty lewa linia
           getglobal("GameTooltipTextRight"..nrLinii):SetFont(WT_Font, 12);    -- polskie fonty prawa linia
        else
           GameTooltip:AddLine(tekst,WT_colors[kolor].r,WT_colors[kolor].g,WT_colors[kolor].b,1);
           if (nrLinii==1) then                          -- linia nr 1: trzeba większą czcionką
              getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 16);  -- polskie fonty
           else
              getglobal("GameTooltipTextLeft"..nrLinii):SetFont(WT_Font, 12);  -- polskie fonty
           end
        end
     end
  end
  WowTranslator_CheckMoneyFrame()
  GameTooltip:Show();                                  -- odśwież wyświetloną ramkę
end


function WowTranslator_TryTranslation()
  for i = 1, GameTooltip:NumLines(), 1 do                        -- lecimy po liniach oryginału
     local lineL=getglobal("GameTooltipTextLeft"..i):GetText();  -- odczyt lewej linii
     if (WowTranslator_IsInfoL(lineL,i)==false) then
      elseif (WowTranslator_IsBody(lineL,i)==false) then
        WowTranslator_IsEnergy(lineL,i);
     end;
     local lineR="";
     if (getglobal("GameTooltipTextRight"..i)) then
	     if (getglobal("GameTooltipTextRight"..i):GetText()) then
            lineR=getglobal("GameTooltipTextRight"..i):GetText(); -- odczyt prawej linii
         end
     end
     if (lineR~="") then
        if (WowTranslator_IsWeapon(lineR,i)==false) then
           if (WowTranslator_IsMats(lineR,i)==false) then
               WowTranslator_IsInfoR(lineR,i);
           end
        end
     end
  end
  WowTranslator_CheckMoneyFrame()
  GameTooltip:Show();                                  -- odśwież wyświetloną ramkę
end


function WowTranslator_ShowTranslation()
  if (WT_PM["active"]==true) then                      -- jest pozwolenie na wyświetlanie tłumaczeń
     local WT_spellName, WT_spellRank, WT_spellID = GameTooltip:GetSpell();
     if (WT_spellName) then                            -- jest to spell lub talent
        local IDstr=tostring(WT_spellID);
        if (WT_Spells[IDstr]) then                     -- jest tłumaczenie
           WowTranslator_ChangeSpell(IDstr);           -- wyświetl spell
        else
           if (WT_PM["saveNW"]==true) then             -- zapisz brakujące tłumaczenie spella
              local orygTXT = "";
              for i = 1, GameTooltip:NumLines(), 1 do                       -- lecimy po liniach oryginału
                  local line=getglobal("GameTooltipTextLeft"..i):GetText();  -- odczyt linii
                  if (getglobal("GameTooltipTextRight"..i):GetText() ~= nil) then
                     local lineR=getglobal("GameTooltipTextRight"..i):GetText();
                     line=line.."|"..lineR;
                  end;
                  orygTXT=orygTXT..line.."#";
              end
              WT_PS[IDstr]="SPEL#"..orygTXT;
           end
           if (WT_PM["try"]==true) then
              WowTranslator_TryTranslation();
           end
        end
        if (WT_PM["showID"]==true) then
           GameTooltip:AddLine(" ",0,0,0);                              -- dodaj odstęp i ID
           GameTooltip:AddDoubleLine("Spell ID: "..IDstr,WT_spellRank,0,1,1,0,1,1);
           GameTooltip:Show();                                          -- odśwież wyświetloną ramkę
        end
     else
        local WT_itemName, WT_link = GameTooltip:GetItem();             -- sprawdź czy jest to może opis do Itemu
        if (WT_itemName) then                                           -- tak, to jest opis Itemu
           local idstart, idend = string.find(WT_link,"item:(%d+):");   
           local itemID = string.sub(WT_link,idstart+5,idend-1);        -- określ unikalny itemID
           if (WT_Items[itemID]) then                                   -- jest tłumaczenie
              WowTranslator_ChangeItem(itemID);                         -- wyświetl je
           else
              if (WT_PM["saveNW"]==true) then	                        -- zapisz brakujące tłumaczenie itemu
                 local kk1,kk2,kk3,kk4 = getglobal("GameTooltipTextLeft1"):GetTextColor();     -- kolor itemu
                 if ((kk1<0.6) or (kk2<0.6) or (kk3<0.6) or WT_PM["saveWH"]) then   
                   local orygTXT = "";
                   for i = 1, GameTooltip:NumLines(), 1 do              -- lecimy po liniach oryginału
                      local line=getglobal("GameTooltipTextLeft"..i):GetText();  -- odczyt linii
                      if (getglobal("GameTooltipTextRight"..i):GetText() ~= nil) then
                         local lineR=getglobal("GameTooltipTextRight"..i):GetText();
                         line=line.."|"..lineR;
                      end;
                      orygTXT=orygTXT..line.."#";
                   end
                   WT_PI[itemID]="ITEM#"..orygTXT;   
                 end
              end
              if (WT_PM["try"]==true) then
                 WowTranslator_TryTranslation();
              end
           end
           if (WT_PM["showID"]==true) then
              GameTooltip:AddLine(" ",0,0,0);                           -- dodaj odstęp i itemID
              if (WT_PM["try"]==true and not WT_Items[itemID]) then
                 GameTooltip:AddDoubleLine("Item ID: "..itemID,"try",0,1,1,0,1,1);
              else
                 GameTooltip:AddLine("Item ID: "..itemID,0,1,1);
              end
              GameTooltip:Show();                                       -- odśwież wyświetloną ramkę
           end
        end
     end
  end
end 


function WowTranslator_SlashCommand(msg)
  -- check the command
  if (msg) then
     local WT_command = string.lower(msg);                -- normalizacja, tylko małe litery
     if ((WT_command=="on") or (WT_command=="1")) then    -- włącz przełącznik aktywności
        WT_PM["active"]=true;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator "..WT_Messages.is_now_active);
     elseif ((WT_command=="off") or (WT_command=="0")) then
        WT_PM["active"]=false;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator "..WT_Messages.is_now_not_active);
     elseif (WT_command=="mode1 1" or WT_command=="mode1 on" or WT_command=="mode1=1" or WT_command=="mode1=on") then
        WT_PM["showID"]=true;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."1 załączony");
     elseif (WT_command=="mode1 0" or WT_command=="mode1 off" or WT_command=="mode1=0" or WT_command=="mode1=off") then
        WT_PM["showID"]=false;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."1 wyłączony");
     elseif (WT_command=="mode2 1" or WT_command=="mode2 on" or WT_command=="mode2=1" or WT_command=="mode2=on") then
        WT_PM["saveNW"]=true;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."2 załączony");
     elseif (WT_command=="mode2 0" or WT_command=="mode2 off" or WT_command=="mode2=0" or WT_command=="mode2=off") then
        WT_PM["saveNW"]=false;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."2 wyłączony");
     elseif (WT_command=="mode3 1" or WT_command=="mode3 on" or WT_command=="mode3=1" or WT_command=="mode3=on") then
        WT_PM["compOR"]=true;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."3 włączony");
     elseif (WT_command=="mode3 0" or WT_command=="mode3 off" or WT_command=="mode3=0" or WT_command=="mode3=off") then
        WT_PM["compOR"]=false;
        DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator - "..WT_Messages.mode.."3 wyłączony");
     else
	InterfaceOptionsFrame_OpenToCategory(WowTranslatorOptions);
     end   
  end
end


function WowTranslator_CheckVars()
  if (not WT_PM) then
     WT_PM = {};
  end
  if (not WT_PS) then
     WT_PS = {};
  end
  if (not WT_PI) then
     WT_PI = {};
  end
  
  -- initialize check options
  if (not WT_PM["active"] ) then
     WT_PM["active"] = true;   
  end
  if (not WT_PM["showID"] ) then
     WT_PM["showID"] = true;   
  end
  if (not WT_PM["saveNW"] ) then
     WT_PM["saveNW"] = false;   
  end
  if (not WT_PM["saveWH"] ) then
     WT_PM["saveWH"] = false;   
  end
  if (not WT_PM["compOR"] ) then
     WT_PM["compOR"] = false;   
  end
  if (not WT_PM["body"] ) then
     WT_PM["body"] = true;   
  end
  if (not WT_PM["mats"] ) then
     WT_PM["mats"] = true;   
  end
  if (not WT_PM["weapon"] ) then
     WT_PM["weapon"] = true;   
  end
  if (not WT_PM["info"] ) then
     WT_PM["info"] = true;   
  end
  if (not WT_PM["ener"] ) then
     WT_PM["ener"] = true;   
  end
  if (not WT_PM["try"] ) then
     WT_PM["try"] = false;   
  end
end


function WowTranslator_SetCheckButtonState()
  WowTranslatorCheckButton0:SetChecked(WT_PM["active"]);
  WowTranslatorCheckButton1:SetChecked(WT_PM["showID"]);
  WowTranslatorCheckButton2:SetChecked(WT_PM["saveNW"]);
  WowTranslatorCheckButton2b:SetChecked(WT_PM["saveWH"]);
--  WowTranslatorCheckButton3:SetChecked(WT_PM["compOR"]);
  WowTranslatorCheckButton4:SetChecked(WT_PM["body"]);
  WowTranslatorCheckButton5:SetChecked(WT_PM["mats"]);
  WowTranslatorCheckButton6:SetChecked(WT_PM["weapon"]);
  WowTranslatorCheckButton7:SetChecked(WT_PM["info"]);
  WowTranslatorCheckButton8:SetChecked(WT_PM["try"]);
  WowTranslatorCheckButton9:SetChecked(WT_PM["ener"]);
end


function WowTranslator_BlizzardOptions()

-- Create main frame for information text
local WowTranslatorOptions = CreateFrame("FRAME", "WowTranslatorOptions");
WowTranslatorOptions:SetScript("OnShow", function(self) WowTranslator_SetCheckButtonState() end);
WowTranslatorOptions.name = "WowTranslator";
InterfaceOptions_AddCategory(WowTranslatorOptions);

local WowTranslatorOptionsHeader = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsHeader:SetFontObject(GameFontNormalLarge);
WowTranslatorOptionsHeader:SetJustifyH("LEFT"); 
WowTranslatorOptionsHeader:SetJustifyV("TOP");
WowTranslatorOptionsHeader:ClearAllPoints();
WowTranslatorOptionsHeader:SetPoint("TOPLEFT", 16, -16);
WowTranslatorOptionsHeader:SetText("WowTranslator, ver. "..WT_version.." ("..WT_base..")");

local WowTranslatorOptionsStaff = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsStaff:SetFontObject(GameFontNormalLarge);
WowTranslatorOptionsStaff:SetJustifyH("LEFT"); 
WowTranslatorOptionsStaff:SetJustifyV("TOP");
WowTranslatorOptionsStaff:ClearAllPoints();
WowTranslatorOptionsStaff:SetPoint("TOPRIGHT", WowTranslatorOptions, "TOPRIGHT", -16, -14);
WowTranslatorOptionsStaff:SetFont(WT_Font, 16);
WowTranslatorOptionsStaff:SetText(WT_Interface.staff);

local WowTranslatorOptionsStaff0 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsStaff0:SetFontObject(GameFontGreen);
WowTranslatorOptionsStaff0:SetJustifyH("LEFT"); 
WowTranslatorOptionsStaff0:SetJustifyV("TOP");
WowTranslatorOptionsStaff0:ClearAllPoints();
WowTranslatorOptionsStaff0:SetPoint("TOPRIGHT", WowTranslatorOptionsStaff, "BOTTOMRIGHT", 0, -4);
WowTranslatorOptionsStaff0:SetFont(WT_Font, 13);
WowTranslatorOptionsStaff0:SetText("Platine");

local WowTranslatorOptionsStaff1 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsStaff1:SetFontObject(GameFontGreen);
WowTranslatorOptionsStaff1:SetJustifyH("LEFT"); 
WowTranslatorOptionsStaff1:SetJustifyV("TOP");
WowTranslatorOptionsStaff1:ClearAllPoints();
WowTranslatorOptionsStaff1:SetPoint("TOPRIGHT", WowTranslatorOptionsStaff0, "BOTTOMRIGHT", 0, 0);
WowTranslatorOptionsStaff1:SetFont(WT_Font, 13);
WowTranslatorOptionsStaff1:SetText(WT_Messages.staff1);

local WowTranslatorCheckButton0 = CreateFrame("CheckButton", "WowTranslatorCheckButton0", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton0:SetPoint("TOPLEFT", WowTranslatorOptionsHeader, "BOTTOMLEFT", 0, -10);
WowTranslatorCheckButton0:SetScript("OnClick", function(self) WT_PM["active"] = not WT_PM["active"]; end);
WowTranslatorCheckButton0Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton0Text:SetText(WT_Interface.active);

local WowTranslatorOptionsMode = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsMode:SetFontObject(GameFontWhite);
WowTranslatorOptionsMode:SetJustifyH("LEFT"); 
WowTranslatorOptionsMode:SetJustifyV("TOP");
WowTranslatorOptionsMode:ClearAllPoints();
WowTranslatorOptionsMode:SetPoint("TOPLEFT", WowTranslatorCheckButton0, "BOTTOMLEFT", 0, -20);
WowTranslatorOptionsMode:SetFont(WT_Font, 13);
WowTranslatorOptionsMode:SetText(WT_Interface.mode);

local WowTranslatorCheckButton1 = CreateFrame("CheckButton", "WowTranslatorCheckButton1", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton1:SetPoint("TOPLEFT", WowTranslatorOptionsMode, "BOTTOMLEFT", 2, -4);
WowTranslatorCheckButton1:SetScript("OnClick", function(self) WT_PM["showID"] = not WT_PM["showID"]; end);
WowTranslatorCheckButton1Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton1Text:SetText(WT_Interface.showID);

local WowTranslatorCheckButton2 = CreateFrame("CheckButton", "WowTranslatorCheckButton2", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton2:SetPoint("TOPLEFT", WowTranslatorCheckButton1, "BOTTOMLEFT", 0, 0);
WowTranslatorCheckButton2:SetScript("OnClick", function(self) WT_PM["saveNW"] = not WT_PM["saveNW"]; end);
WowTranslatorCheckButton2Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton2Text:SetText(WT_Interface.saveNW);

local WowTranslatorCheckButton2b = CreateFrame("CheckButton", "WowTranslatorCheckButton2b", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton2b:SetPoint("TOPLEFT", WowTranslatorCheckButton2Text, "TOPRIGHT", 24, 6);
WowTranslatorCheckButton2b:SetScript("OnClick", function(self) WT_PM["saveWH"] = not WT_PM["saveWH"]; end);
WowTranslatorCheckButton2bText:SetFont(WT_Font, 13);
WowTranslatorCheckButton2bText:SetText(WT_Interface.saveWH);

--local WowTranslatorCheckButton3 = CreateFrame("CheckButton", "WowTranslatorCheckButton3", WowTranslatorOptions, "OptionsCheckButtonTemplate");
--WowTranslatorCheckButton3:SetPoint("TOPLEFT", WowTranslatorCheckButton2, "BOTTOMLEFT", 0, 0);
--WowTranslatorCheckButton3:SetScript("OnClick", function(self) WT_PM["compOR"] = not WT_PM["compOR"]; end);
--WowTranslatorCheckButton3Text:SetFont(WT_Font, 13);
--WowTranslatorCheckButton3Text:SetText(WT_Interface.compOR);

local WowTranslatorOptionsOnTheFly = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
WowTranslatorOptionsOnTheFly:SetFontObject(GameFontWhite);
WowTranslatorOptionsOnTheFly:SetJustifyH("LEFT");
WowTranslatorOptionsOnTheFly:SetJustifyV("TOP");
WowTranslatorOptionsOnTheFly:ClearAllPoints();
WowTranslatorOptionsOnTheFly:SetPoint("TOPLEFT", WowTranslatorCheckButton2, "BOTTOMLEFT", -2, -20);
WowTranslatorOptionsOnTheFly:SetFont(WT_Font, 13);
WowTranslatorOptionsOnTheFly:SetText(WT_Interface.transl);

local WowTranslatorCheckButton4 = CreateFrame("CheckButton", "WowTranslatorCheckButton4", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton4:SetPoint("TOPLEFT", WowTranslatorOptionsOnTheFly, "BOTTOMLEFT", 0, -4);
WowTranslatorCheckButton4:SetScript("OnClick", function(self) WT_PM["body"] = not WT_PM["body"]; end);
WowTranslatorCheckButton4Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton4Text:SetText(WT_Interface.body);

local WowTranslatorCheckButton5 = CreateFrame("CheckButton", "WowTranslatorCheckButton5", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton5:SetPoint("TOPLEFT", WowTranslatorCheckButton4, "BOTTOMLEFT", 0, 0);
WowTranslatorCheckButton5:SetScript("OnClick", function(self) WT_PM["mats"] = not WT_PM["mats"]; end);
WowTranslatorCheckButton5Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton5Text:SetText(WT_Interface.mats);

local WowTranslatorCheckButton6 = CreateFrame("CheckButton", "WowTranslatorCheckButton6", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton6:SetPoint("TOPLEFT", WowTranslatorCheckButton5, "BOTTOMLEFT", 0, 0);
WowTranslatorCheckButton6:SetScript("OnClick", function(self) WT_PM["weapon"] = not WT_PM["weapon"]; end);
WowTranslatorCheckButton6Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton6Text:SetText(WT_Interface.weapon);

local WowTranslatorCheckButton9 = CreateFrame("CheckButton", "WowTranslatorCheckButton9", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton9:SetPoint("TOPLEFT", WowTranslatorCheckButton6, "BOTTOMLEFT", 0, 0);
WowTranslatorCheckButton9:SetScript("OnClick", function(self) WT_PM["ener"] = not WT_PM["ener"]; end);
WowTranslatorCheckButton9Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton9Text:SetText(WT_Interface.ener);

local WowTranslatorCheckButton7 = CreateFrame("CheckButton", "WowTranslatorCheckButton7", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton7:SetPoint("TOPLEFT", WowTranslatorCheckButton9, "BOTTOMLEFT", 0, 0);
WowTranslatorCheckButton7:SetScript("OnClick", function(self) WT_PM["info"] = not WT_PM["info"]; end);
WowTranslatorCheckButton7Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton7Text:SetText(WT_Interface.info);

local WowTranslatorCheckButton8 = CreateFrame("CheckButton", "WowTranslatorCheckButton8", WowTranslatorOptions, "OptionsCheckButtonTemplate");
WowTranslatorCheckButton8:SetPoint("TOPLEFT", WowTranslatorCheckButton7, "BOTTOMLEFT", 0, -10);
WowTranslatorCheckButton8:SetScript("OnClick", function(self) WT_PM["try"] = not WT_PM["try"]; end);
WowTranslatorCheckButton8Text:SetFont(WT_Font, 13);
WowTranslatorCheckButton8Text:SetText(WT_Interface.try);

local IOF_Height = InterfaceOptionsFrame:GetHeight();
   if (IOF_Height>658) then

   local WowTranslatorText0 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText0:SetFontObject(GameFontWhite);
   WowTranslatorText0:SetJustifyH("LEFT");
   WowTranslatorText0:SetJustifyV("TOP");
   WowTranslatorText0:ClearAllPoints();
   WowTranslatorText0:SetPoint("TOPLEFT", WowTranslatorCheckButton8, "BOTTOMLEFT", -2, -20);
   WowTranslatorText0:SetFont(WT_Font, 13);
   WowTranslatorText0:SetText(WT_Messages.info_text1);

   local WowTranslatorText1 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText1:SetFontObject(GameFontWhite);
   WowTranslatorText1:SetJustifyH("LEFT");
   WowTranslatorText1:SetJustifyV("TOP");
   WowTranslatorText1:ClearAllPoints();
   WowTranslatorText1:SetPoint("TOPLEFT", WowTranslatorText0, "BOTTOMLEFT", 0, -10);
   WowTranslatorText1:SetFont(WT_Font, 13);
   WowTranslatorText1:SetText("/wtr 1  "..WT_Messages.info_or.."  /wtr on   "..WT_Messages.type_command1);

   local WowTranslatorText2 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText2:SetFontObject(GameFontWhite);
   WowTranslatorText2:SetJustifyH("LEFT");
   WowTranslatorText2:SetJustifyV("TOP");
   WowTranslatorText2:ClearAllPoints();
   WowTranslatorText2:SetPoint("TOPLEFT", WowTranslatorText1, "BOTTOMLEFT", 0, -4);
   WowTranslatorText2:SetFont(WT_Font, 13);
   WowTranslatorText2:SetText("/wtr 0  "..WT_Messages.info_or.."  /wtr off   "..WT_Messages.type_command2);

   local WowTranslatorText3 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText3:SetFontObject(GameFontWhite);
   WowTranslatorText3:SetJustifyH("LEFT");
   WowTranslatorText3:SetJustifyV("TOP");
   WowTranslatorText3:ClearAllPoints();
   WowTranslatorText3:SetPoint("TOPLEFT", WowTranslatorText2, "BOTTOMLEFT", 0, -4);
   WowTranslatorText3:SetFont(WT_Font, 13);
   WowTranslatorText3:SetText("/wtr mode1 1  "..WT_Messages.info_or.."  /wtr mode1 on  "..WT_Messages.info_or.."  /wtr mode1=1   "..WT_Messages.type_command3);

   local WowTranslatorText4 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText4:SetFontObject(GameFontWhite);
   WowTranslatorText4:SetJustifyH("LEFT");
   WowTranslatorText4:SetJustifyV("TOP");
   WowTranslatorText4:ClearAllPoints();
   WowTranslatorText4:SetPoint("TOPLEFT", WowTranslatorText3, "BOTTOMLEFT", 0, -4);
   WowTranslatorText4:SetFont(WT_Font, 13);
   WowTranslatorText4:SetText("/wtr mode1 0  "..WT_Messages.info_or.."  /wtr mode1 off  "..WT_Messages.info_or.."  /wtr mode1=0   "..WT_Messages.type_command4);

   local WowTranslatorText5 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText5:SetFontObject(GameFontWhite);
   WowTranslatorText5:SetJustifyH("LEFT");
   WowTranslatorText5:SetJustifyV("TOP");
   WowTranslatorText5:ClearAllPoints();
   WowTranslatorText5:SetPoint("TOPLEFT", WowTranslatorText4, "BOTTOMLEFT", 0, -4);
   WowTranslatorText5:SetFont(WT_Font, 13);
   WowTranslatorText5:SetText("/wtr mode2 1  "..WT_Messages.info_or.."  /wtr mode2 on  "..WT_Messages.info_or.."  /wtr mode2=1   "..WT_Messages.type_command5);

   local WowTranslatorText6 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
   WowTranslatorText6:SetFontObject(GameFontWhite);
   WowTranslatorText6:SetJustifyH("LEFT");
   WowTranslatorText6:SetJustifyV("TOP");
   WowTranslatorText6:ClearAllPoints();
   WowTranslatorText6:SetPoint("TOPLEFT", WowTranslatorText5, "BOTTOMLEFT", 0, -4);
   WowTranslatorText6:SetFont(WT_Font, 13);
   WowTranslatorText6:SetText("/wtr mode2 0  "..WT_Messages.info_or.."  /wtr mode2 off  "..WT_Messages.info_or.."  /wtr mode2=0   "..WT_Messages.type_command6);

--   local WowTranslatorText7 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
--   WowTranslatorText7:SetFontObject(GameFontWhite);
--   WowTranslatorText7:SetJustifyH("LEFT");
--   WowTranslatorText7:SetJustifyV("TOP");
--   WowTranslatorText7:ClearAllPoints();
--   WowTranslatorText7:SetPoint("TOPLEFT", WowTranslatorText6, "BOTTOMLEFT", 0, -4);
--   WowTranslatorText7:SetFont(WT_Font, 13);
--   WowTranslatorText7:SetText("/wtr mode3 1  "..WT_Messages.info_or.."  /wtr mode3 on  "..WT_Messages.info_or.."  /wtr mode3=1   "..WT_Messages.type_command7);

--   local WowTranslatorText8 = WowTranslatorOptions:CreateFontString(nil, "ARTWORK");
--   WowTranslatorText8:SetFontObject(GameFontWhite);
--   WowTranslatorText8:SetJustifyH("LEFT");
--   WowTranslatorText8:SetJustifyV("TOP");
--   WowTranslatorText8:ClearAllPoints();
--   WowTranslatorText8:SetPoint("TOPLEFT", WowTranslatorText7, "BOTTOMLEFT", 0, -4);
--   WowTranslatorText8:SetFont(WT_Font, 13);
--   WowTranslatorText8:SetText("/wtr mode3 0  "..WT_Messages.info_or.."  /wtr mode3 off  "..WT_Messages.info_or.."  /wtr mode3=0   "..WT_Messages.type_command8);

   end
end


GameTooltip:SetScript("OnShow", WowTranslator_ShowTranslation);
SlashCmdList["WOWTRANSLATOR"] = function(msg) WowTranslator_SlashCommand(msg); end
SLASH_WOWTRANSLATOR1 = "/wowtranslator";
SLASH_WOWTRANSLATOR2 = "/wtr";
WowTranslator_CheckVars();
WowTranslator_BlizzardOptions();
DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WowTranslator ver. "..WT_version.." - "..WT_Messages.loaded);
